login about faq

Hello, I just install Debian 7 (64bit). with php 5.4.4-14+deb7u7 ldd (Debian EGLIBC 2.13-38) 2.13 After copy chilkat_9_4_1.so includes in chilkat-9.4.1-php-5.4-x86_64-linux.tar.gz , the test.php script returns this error : Call to undefined function new_CkCrypt2() in /tmp/chilkat-9.4.1-php-5.4-x86_64-linux/chilkat_9_4_1.php on line 9596. What should I do to fix this problem? Thanks Jm

asked Jan 13 '14 at 07:59

jmlm's gravatar image

jmlm
1123


This instructions for "installing" the Chilkat PHP extension are located here: http://www.chilkatsoft.com/installPhpExtension.asp

If the extension was not installed correctly, then I would imagine you'd get an error such as what you described.

link

answered Jan 17 '14 at 13:27

chilkat's gravatar image

chilkat ♦♦
11.8k316358421

Thanks, I've downgrade to Debian 6 (with this version php extension version : http://www.chilkatsoft.com/chilkat_glibc211.asp), and it works fine, don't know what happened. I will try later, my project is in progress.

link

answered Jan 18 '14 at 08:22

jmlm's gravatar image

jmlm
1123

The error message "Dynamically loaded extensions aren't enabled" implies that it's possible to enable dynamically loaded extensions, and that this should fix it. Therefore, the question to investigate is "how to enable dynamically loaded extensions".

Therefore, Google "php enable dynamically loaded extensions", and you'll get information that should help to understand what is required.

link

answered Feb 17 '14 at 12:58

chilkat's gravatar image

chilkat ♦♦
11.8k316358421

Thanks Ubuntu 13.10 did the rest :) Works very very fine ...

Ubuntu 12.10 php5.3 set enable_dl = on (/etc/php5/cli/php.ini) installed the older extension here : **http://www.chilkatsoft.com/chilkat_glibc211.asp**

and works (obsolete) fine :) (

Finaly Debian 7 php 5.4 I had this error PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/chilkat_9_4_1.so' - /lib/x86_64-linux-gnu/libc.so.6: version GLIBC_2.15' not found (required by /usr/lib/php5/20100525/chilkat_9_4_1.so) in Unknown on line 0 PHP Warning: dl(): Unable to load dynamic library '/usr/lib/php5/20100525/chilkat_9_4_1.so' - /lib/x86_64-linux-gnu/libc.so.6: versionGLIBC_2.15' not found (required by /usr/lib/php5/20100525/chilkat_9_4_1.so) in ../chilkat_9_4_1.php on line 22 PHP Fatal error: Call to undefined function new_CkCrypt2() in ../chilkat_9_4_1.php on line 9596 I upgraded libc.so.6 with this tuto : http://stackoverflow.com/a/21254623

works very fine :)

Hope this help.

link

answered Feb 19 '14 at 11:01

jmlm's gravatar image

jmlm
1123

edited Feb 20 '14 at 22:09

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or __italic__
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×17
×3

Asked: Jan 13 '14 at 07:59

Seen: 1,852 times

Last updated: Feb 20 '14 at 22:09

powered by OSQA